package com.bcxin.ars.dto.statistics;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 分页数据返回
 * </p>
 *
 * @author 罗鹏
 * @date 2018/4/18
 */
public class PageResultDTO {

    //分页参数开始
    private List pageData = new ArrayList();
    private List allData = new ArrayList();
    private boolean paging = true;//是否分页,默认分页
    private Integer pageNum;//页数
    private Integer numPerPage;//每页显示几条
    private Integer totalCount;

    public List getPageData() {
        return pageData;
    }

    public void setPageData(List pageData) {
        this.pageData = pageData;
    }

    public List getAllData() {
        return allData;
    }

    public void setAllData(List allData) {
        this.allData = allData;
    }

    public boolean isPaging() {
        return paging;
    }

    public void setPaging(boolean paging) {
        this.paging = paging;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getNumPerPage() {
        return numPerPage;
    }

    public void setNumPerPage(Integer numPerPage) {
        this.numPerPage = numPerPage;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }
}
